
#overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #1a1765f5;
  z-index: 100000;
}

.popup-body {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}

#popup {
  border: 1px solid #fff;
  padding: 0 24px 24px;
  width: 90%;
  margin: 0 auto;
  height: 96%;
  background-color: rgb(0, 0, 0);
  background-color: rgba(255, 255, 255, 0.16);
  z-index: 100000;
  position: fixed;
  top: 10px;
  left: 20px;
  right: 20px;
  bottom: 20px;
  overflow: auto;
}

.popup-header {
  width: 100%;
  height: 15%;
  padding: 10px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  line-height: 28px;
}

.popup-heading {
  color: white;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.close-popup {
  color: white;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  right: 10%;
}

.popup-image-area {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50%;
  width: 100%;
}

#popup-project-image {
  width: 90%;
  display: flexbox;
  justify-content: center;
  object-fit: cover;
}

.popup-tech-area {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 10%;
  width: 100%;
}

.popup-detail-area {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 30%;
  width: 100%;
}

#popup-project-desc {
  display: flex;
  justify-content: center;
  text-align: center;
  color: white;
  margin-left: 5%;
  margin-right: 5%;
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 30px;
}

#popup-technologies {
  display: flex;
  justify-content: space-around;
  width: 80%;
}

#popup-tech1 {
  border-left: 1px solid #81818c;
}

#popup-technologies > li {
  margin-top: 10%;
  padding-bottom: 20px;
  border-right: 1px solid #81818c;
  height: 20px;
  color: var(--white);
  list-style-type: none;
  justify-content: space-between;
  font-family: 'Roboto', sans-serif;
  padding-left: 5px;
  padding-right: 5px;
  font-size: 12px;
}

.popup-btns-area {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 5px;
  height: 10%;
  width: 100%;
}

.popup-btns-area > button {
  width: 120px;
  height: 44px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #7d73fc;
  margin-left: 16px;
  text-decoration: none;
  padding-top: 10px;
  margin-top: 10px;
  flex-wrap: wrap;
}

.popup-btns-area > button > a {
  text-decoration: none;
  color: white;
  margin-left: 5%;
}

.popup-btns-area > button > i {
  color: white;
  margin-left: 10%;
}

.popup-btns-area > button > svg {
  color: white;
  margin-left: 10%;
}

.popup-btns-area > button {
  margin-left: 5%;
  border: none;
  box-shadow: 0 8px 15px darkslateblue;
  cursor: pointer;
  outline: none;
  padding: 0;
}

/* Desktop width > 768px */
@media (min-width: 768px) {
  .popup-header > h4 {
    font-family: 'Roboto', sans-serif;
    font-style: normal;
    font-weight: 500;
    text-align: center;
    color: #ebebff;
    padding-left: 13%;
    font-family: 'Roboto';
    font-style: normal;
    font-size: 40px;
    line-height: 32px;
    display: flex;
    align-items: center;
  }

  .popup-image-area {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 40%;
    width: 80%;
  }

  #popup-project-image {
    background-size: 100%;
    max-width: 100%;
    max-height: 100%;
  }

  .popup-detail-area {
    height: 15%;
    width: 684px;
    margin-top: 10px;
  }

  .popup-detail-area > p {
    width: 684px;
    height: 200px;
  }

  .popup-tech-area {
    display: flex;
    justify-content: space-around;
    padding: 0 0 0 15px;
    margin: 0;
    list-style: none;
    position: relative;
    right: 2px;
  }

  #popup-technologies > li {
    padding: 10px 10px 15px 5px;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
  }

  .popup-tech-area {
    display: flex;
    justify-content: center;
    align-items: baseline;
    height: 6%;
    width: 35%;
  }

  .popup-btns-area {
    padding-top: 2%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    width: 40%;
  }

  .popup-btns-area > button {
    margin-left: 10%;
    margin-right: 10%;
  }
}
